<?php
/**
 * @package CityBook Add-Ons
 * @description A custom plugin for CityBook - Directory Listing WordPress Theme
 * @author CTHthemes - http://themeforest.net/user/cththemes
 * @date 26-06-2019
 * @version 1.3.5
 * @copyright Copyright ( C ) 2014 cththemes.com . All rights reserved.
 * @license GNU General Public License version 3 or later; see LICENSE
 */




// https://github.com/pojome/elementor/blob/master/docs/content/hooks/php-hooks.md

// Add a custom category for panel widgets
add_action( 'elementor/init', function() {
   
    \Elementor\Plugin::$instance->elements_manager->add_category( 
        'citybook-elements',
        [
            'title' => __( 'CityBook Elements', 'citybook-add-ons' ),
            'icon' => 'fa fa-gmap', //default icon
        ],
        1 // position
    );




} );


// modify attribute for element before front render
// add_action( 'elementor/frontend/element/before_render', function ( \Elementor\Element_Base $element ) {
//     if ( 'section' === $element->get_name() ) {
//         // $settings = $element->get_settings();


//         // var_dump($settings);
//         // echo '<pre>';
//         // var_dump($element);

//         if ( ! $element->get_settings( 'citybook_layout' ) ) {
//             return;
//         }

//         $element->add_render_attribute( '_wrapper', [
//             'class' => $element->get_settings( 'citybook_layout' ),
//             'data-citybook_layout' => $element->get_settings( 'citybook_layout' ),
//         ] );
//     }
        
// } );

// modify section element
// add_action( 'elementor/element/section/section_layout/before_section_start', function( $element, $args ) {
//     /** @var \Elementor\Element_Base $element */
//     $element->start_controls_section(
//         'citybook_theme',
//         [
//             'tab' => \Elementor\Controls_Manager::TAB_STYLE,
//             'label' => __( 'CityBook Theme', 'citybook-add-ons' ),
//         ]
//     );

//     $element->add_control(
//         'citybook_layout',
//         [
//             // 'type' => \Elementor\Controls_Manager::NUMBER,
//             'label' => __( 'Custom Control', 'citybook-add-ons' ),
//             'type' => \Elementor\Controls_Manager::SELECT,
//             'default' => '',
//             'options' => [
//                 ''  => __( 'Default', 'citybook-add-ons' ),
//                 'citybook_page_sec' => __( 'Page Section', 'citybook-add-ons' ),
//                 'citybook_home_sec' => __( 'Home Section', 'citybook-add-ons' ),
//                 'double' => __( 'Double', 'citybook-add-ons' ),
//                 'none'   => __( 'None', 'citybook-add-ons' ),
//             ],
//             // 'selectors' => [ // You can use the selected value in an auto-generated css rule.
//             //     '{{WRAPPER}} .your-element' => 'border-style: {{VALUE}}',
//             // ],

//         ]
//     );

//     $element->end_controls_section();
// }, 10, 2 );
// render widget
// add_action( 'elementor/widget/render_content', function( $content, $widget ) {
//     // die;
//     if ( 'section' === $widget->get_name() ) {
//         $settings = $widget->get_settings();

//         var_dump($settings);
   
//         if ( ! empty( $settings['citybook_layout']) ) {
//             $content .= '<section class="scroll-con-sec hero-section" data-scrollax-parent="true" id="sec1">
//                             <div class="bg"  data-bg="images/bg/32.jpg" data-scrollax="properties: { translateY: \'200px\' }"></div>
//                             <div class="overlay"></div>
//                             <div class="hero-section-wrap fl-wrap">
//                                 <div class="container">
//                                     <div class="intro-item fl-wrap">
//                                         <h2>We will help you to find all</h2>
//                                         <h3>Find great places , hotels , restourants , shops.</h3>
//                                     </div>
//                                     <div class="main-search-input-wrap">
//                                         <div class="main-search-input fl-wrap">
//                                             <div class="main-search-input-item">
//                                                 <input type="text" placeholder="What are you looking for?" value=""/>
//                                             </div>
//                                             <div class="main-search-input-item location">
//                                                 <input type="text" placeholder="Location" value=""/>
//                                                 <a href="#"><i class="fa fa-dot-circle-o"></i></a>
//                                             </div>
//                                             <div class="main-search-input-item">
//                                                 <select data-placeholder="All Categories" class="chosen-select" >
//                                                     <option>All Categories</option>
//                                                     <option>Shops</option>
//                                                     <option>Hotels</option>
//                                                     <option>Restaurants</option>
//                                                     <option>Fitness</option>
//                                                     <option>Events</option>
//                                                 </select>
//                                             </div>
//                                             <button class="main-search-button">Search</button>
//                                         </div>
//                                     </div>
//                                 </div>
//                             </div>
//                             <div class="bubble-bg"> </div>
//                             <div class="header-sec-link">
//                                 <div class="container"><a href="#sec2" class="custom-scroll-link">Let\'s Start</a></div>
//                             </div>
//                         </section>';
//         }   
//     }
   
//     return $content;

// }, 10, 2 );

add_action( 'elementor/widgets/widgets_registered', function( $widgets_manager ) {
    // $widget_file = 'elementor/header-search-widget.php';
    // $template_file = locate_template($widget_file);
    // if ( !$template_file || !is_readable( $template_file ) ) {
    //     $template_file = CITYBOOK_ADD_ONS_DIR.$widget_file;
    // }
    // if ( $template_file && is_readable( $template_file ) ) {
    //     require_once $template_file;

    //     // $widgets_manager->register_widget_type( new \Elementor\Widget_Header_Search() );

    //     \Elementor\Plugin::$instance->widgets_manager->register_widget_type( new \Elementor\Widget_Header_Search() );

        
    // }

    $elements = array(
        'hero_section',
        'hero_section_map',
        'hero_slider',
        // 'section_title',
        'listing_categories',
        'listing_locations',
        'listings_slider',
        'listings_grid',
        'posts_grid',
        'our_partners',
        'counter',
        'process',
        'pricing_item',
        'collage_images',

        'google_map',
        'contact_form7',
        'cth_accordion',
        'time_line',

        'section_title',
        'section_titleleft',
        'popup_video',
        'feature_box',
        'team_box',
        'parallax_content',
        'testimonials_slider',
        'sticks_slider',
        'contact',

        'section_text',
        // 'contact_box',
        // 'step',
        // 'background_video',
        'members_grid',

        
        'membership_plans',

        'woo_mem_plans',

    );

    foreach ( $elements as $element_name ) {
        $template_file = CITYBOOK_ADD_ONS_DIR.'elementor/'.$element_name.'.php';
        if ( $template_file && is_readable( $template_file ) ) {
            require_once $template_file;
            $class_name = '\Elementor\CTH_' . ucwords($element_name,'_');
            $widgets_manager->register_widget_type( new $class_name() );
        }
            
    }
} );



// add_action( 'wp_footer', function() {
//     // var_dump($_GET['action']);

//     if (  !defined( 'ELEMENTOR_VERSION' )  ) {
//         return ;
//     }

//     <script>

//         var _action = " echo get_query_var('action');";

//         jQuery( function( $ ) {

//             console.log("defined( 'ELEMENTOR_VERSION' ) &&  get_query_var('action') == 'elementor'")
//             console.log(_action)
//             /**
//              * select2_renderselections
//              * @param  {jQuery Select2 object}
//              * @return {null}
//              */
//             function select2_renderSelections($select2) {
//                 var order = $select2.data('preserved-order') || [];
//                 var $container = $select2.next('.select2-container');
//                 var $tags = $container.find('li.select2-selection__choice');
//                 var $input = $tags.last().next();

//                 // apply tag order
//                 if(order.length){
//                     order.forEach(function (val) {
//                         var $el = $tags.filter(function (i, tag) {
//                             console.log($(tag).data('data'))
//                             return $(tag).data('data').id === val;
//                         });
//                         $input.before($el);
//                     });
//                 }
                    
//             }

//             /**
//              * selectionHandler
//              * @param  {Select2 Event Object}
//              * @return {null}
//              */
//             function selectionHandler(e) {
//                 var $select2 = $(this);
//                 var val = e.params.data.id;
//                 var order = $select2.data('preserved-order') || [];

//                 switch (e.type) {
//                     case 'select2:select':
//                         console.log('select2:select')
//                         order[order.length] = val;
//                         break;
//                     case 'select2:unselect':
//                         console.log('select2:unselect')
//                         var found_index = order.indexOf(val);
//                         if (found_index >= 0) order.splice(found_index, 1);
//                         break;
//                 }
//                 $select2.data('preserved-order', order); // store it for later
//                 select2_renderSelections($select2);


//                 console.log('$select2.val():', $select2.val());

//                 console.log("$select2.data('preserved-order'):", $select2.data('preserved-order'));
//             }

//             // Add space for Elementor Menu Anchor link
//             if ( undefined !== window.elementorFrontend && undefined !== window.elementorFrontend.hooks) {

//                 // this.$window.trigger( 'elementor:init' );

//                 // window.elementorFrontend.hooks.addAction( 'frontend/element_ready/global', function( $scope ) {
//                 //     window.console.log('frontend/element_ready/global')
//                 // } );

//                 // elementor.on('preview:loaded',function(){
//                 //     window.console.log('preview:loaded')
//                 // })

//                 // this.trigger( 'preview:loaded' );


//                 // $( window ).on( 'elementor:init', function(){
//                 //     window.console.log('elementor:init')

//                 //     var CTHControlSelect2ItemView = elementor.modules.controls.Select2.extend( {
//                 //         // initialize: function( options ) {
//                 //         //     console.log('CTHControlSelect2ItemView initialize')
//                 //         //     elementor.modules.controls.Select2.prototype.initialize.apply( this, options );
//                 //         // },

//                 //         onReady: function() {
//                 //             console.log('CTHControlSelect2ItemView')
//                 //             // this.ui.select.select2( this.getSelect2Options() );

//                 //             this.ui.select.on('select2:select', function(e){
//                 //                 console.log(e)
//                 //                 var id = e.params.data.id;
//                 //                 var option = $(e.target).children('[value='+id+']');
//                 //                 option.detach();
//                 //                 $(e.target).append(option).change();
//                 //             });
//                 //         },
//                 //     })

//                 //     elementor.modules.controls.Select2 = CTHControlSelect2ItemView;

//                 // } );

//                 // elementorFrontend.hooks.addAction( 'init', function() {
//                 // elementorFrontend.hooks.addAction( 'frontend/element_ready/global', function( $scope ) {
//                 //     window.console.log('frontend/element_ready/global')
//                 //  // Do something that is based on the elementorFrontend object.
//                 //     var CTHControlSelect2ItemView = elementor.modules.controls.Select2.extend( {
//                 //         // initialize: function( options ) {
//                 //         //     console.log('CTHControlSelect2ItemView initialize')
//                 //         //     elementor.modules.controls.Select2.prototype.initialize.apply( this, options );
//                 //         // },

//                 //         onReady: function() {
//                 //             console.log('CTHControlSelect2ItemView')
//                 //             // this.ui.select.select2( this.getSelect2Options() );

//                 //             this.ui.select.on('select2:select', function(e){
//                 //                 console.log(e)
//                 //                 var id = e.params.data.id;
//                 //                 var option = $(e.target).children('[value='+id+']');
//                 //                 option.detach();
//                 //                 $(e.target).append(option).change();
//                 //             });
//                 //         },
//                 //     })

//                 //     elementor.modules.controls.Select2 = CTHControlSelect2ItemView;


//                 // } );



//                 var CTHSelect2Inited = false;

//                 window.elementorFrontend.hooks.addAction( 'frontend/element_ready/widget', function( $scope ) {
//                     if ( $scope.data( 'element_type' ) == 'testimonials_slider.default' ){
//                         // $('.single-carousel').slick()
//                     }

//                     if ( $scope.data( 'element_type' ) == 'collage_images.default' ){
//                         initImagesCollage()
//                     }

//                     if ( $scope.data( 'element_type' ) == 'listing_categories.default' ){ // select listing_categories widget default

//                         if(!CTHSelect2Inited){
//                             var CTHControlSelect2ItemView = elementor.modules.controls.Select2.extend( {
//                                 onReady: function() {

//                                     var rawValue = this.getControlValue()

//                                     console.log(rawValue)
                                    
//                                     var $select2 = this.ui.select.select2( this.getSelect2Options() );


//                                     console.log($select2.val())

//                                     // $select2.val(rawValue).data('preserved-order', rawValue) // must manually preserve the order
//                                     // .trigger('change')


//                                     console.log('$select2.val():', $select2.val());

//                                     console.log("$select2.data('preserved-order'):", $select2.data('preserved-order'));

//                                     // $select2.on('select2:select select2:unselect', selectionHandler);


//                                     // https://github.com/select2/select2/issues/3106










                                    

//                                     /**
//                                      * defaults: Cache order of the initial values
//                                      * @type {object}
//                                      */
//                                     // var defaults = $select2.select2('data');
//                                     // defaults.forEach(function (obj) {
//                                     //     var order = $select2.data('preserved-order') || [];
//                                     //     order[order.length] = obj.id;
//                                     //     $select2.data('preserved-order', order);
//                                     // });

                                    

//                                     // this.ui.select.on('select2:select', function(e){
//                                     //     var id = e.params.data.id;
//                                     //     var option = $(e.target).children('[value='+id+']');
//                                     //     option.detach();
//                                     //     $(e.target).append(option).change();
//                                     // });


//                                     /* fix select2 */


        

        

        

//                                     // // Demo for default
//                                     // runDemo($select2);
//                                     // function runDemo($select2) {
//                                     //     var selected = ['c', 'a', 'd'];
//                                     //     $select2.val(selected).data('preserved-order', selected) // must manually preserve the order
//                                     //     .trigger('change');

//                                     //     // Render in preserved order
//                                     //     select2_renderSelections($select2);

//                                     //     console.log('$select2.val():', $select2.val());
//                                     //     console.log("$select2.data('preserved-order'):", $select2.data('preserved-order'));
//                                     // }


//                                 },
//                             })
//                             elementor.modules.controls.Select2 = CTHControlSelect2ItemView;
//                             CTHSelect2Inited = true;

//                         }

//                         $(".gallery-items").masonry();
                        
//                     }

//                 } );

//             }
//         } );
//     </script>
    
//     // endif; 
//     // if ELEMENTOR_VERSION && action=elementor
// } );


// register new element
// add_action( 'elementor/elements/elements_registered', function( ) {
//     $element_file = 'elementor/hero-section.php';
//     $template_file = locate_template($element_file);
//     if ( !$template_file || !is_readable( $template_file ) ) {
//         $template_file = CITYBOOK_ADD_ONS_DIR.$element_file;
//     }
//     if ( $template_file && is_readable( $template_file ) ) {
//         require_once $template_file;

//         // $widgets_manager->register_widget_type( new Elementor\Widget_Header_Search() );

//         \Elementor\Plugin::$instance->elements_manager->register_element_type( new \Elementor\CTH_Hero_Section([ 'id' => 'herosection' ]) );

        
//     }
    
    
// } );





// add_action( 'elementor/widgets/widgets_registered', 'citybook_addons_widgets_registered_callback' );

// function citybook_addons_widgets_registered_callback(){
//     // We check if the Elementor plugin has been installed / activated.
//     if(defined('ELEMENTOR_PATH') && class_exists('Elementor\Widget_Base')){

//         // We look for any theme overrides for this custom Elementor element.
//         // If no theme overrides are found we use the default one in this plugin.

//         $widget_file = 'elementor/header-search-widget.php';
//         $template_file = locate_template($widget_file);
//         if ( !$template_file || !is_readable( $template_file ) ) {
//             $template_file = CITYBOOK_ADD_ONS_DIR.$widget_file;
//         }
//         if ( $template_file && is_readable( $template_file ) ) {
//             require_once $template_file;
//         }
//     }
// }
