<?php
/**
 * @package CityBook Add-Ons
 * @description A custom plugin for CityBook - Directory Listing WordPress Theme
 * @author CTHthemes - http://themeforest.net/user/cththemes
 * @date 26-06-2019
 * @version 1.3.5
 * @copyright Copyright ( C ) 2014 cththemes.com . All rights reserved.
 * @license GNU General Public License version 3 or later; see LICENSE
 */



//For post_tag taxonomy
// Add term page
function citybook_post_tag_add_new_meta_field() {
    
    // this will add the custom meta field to the add new term page
    wp_enqueue_media();
    wp_enqueue_script('citybook_tax_meta', CITYBOOK_ADD_ONS_DIR_URL . 'inc/assets/upload_file.js', array('jquery'), null, true);
    citybook_radio_options_field(array(
                                'id'=>'tax_show_header',
                                'name'=>esc_html__('Show Header Section','citybook-add-ons'),
                                'values' => array(
                                        'yes'=> esc_html__('Yes','citybook-add-ons'),
                                        'no'=> esc_html__('No','citybook-add-ons'),
                                    ),
                                'default'=>'yes'
    ));
    citybook_select_media_file_field('cat_header_image',esc_html__('Header Background Image','citybook-add-ons'), array());
    citybook_radio_options_field(array(
                                'id'=>'tax_title_in_content',
                                'name'=>esc_html__('Show Tag Info','citybook-add-ons'),
                                'values' => array(
                                        'yes'=> esc_html__('Yes','citybook-add-ons'),
                                        'no'=> esc_html__('No','citybook-add-ons'),
                                    ),
                                
                                'default'=>'no'
    ) );

}
add_action('post_tag_add_form_fields', 'citybook_post_tag_add_new_meta_field', 10, 2);

// Edit term page
function citybook_post_tag_edit_meta_field($term) {
    wp_enqueue_media();
    wp_enqueue_script('citybook_tax_meta', CITYBOOK_ADD_ONS_DIR_URL . 'inc/assets/upload_file.js', array('jquery'), null, true);
    
    // put the term ID into a variable
    $t_id = $term->term_id;
    
    // retrieve the existing value(s) for this meta field. This returns an array
    $term_meta = get_option("citybook_taxonomy_post_tag_$t_id");

    citybook_radio_options_field(array(
                                'id'=>'tax_show_header',
                                'name'=>esc_html__('Show Header Section','citybook-add-ons'),
                                'values' => array(
                                        'yes'=> esc_html__('Yes','citybook-add-ons'),
                                        'no'=> esc_html__('No','citybook-add-ons'),
                                    ),

                                'default'=>'yes'
    ),$term_meta,false);
    citybook_select_media_file_field('cat_header_image',esc_html__('Header Background Image','citybook-add-ons'), $term_meta,false);
    citybook_radio_options_field(array(
                                'id'=>'tax_title_in_content',
                                'name'=>esc_html__('Show Tag Info','citybook-add-ons'),
                                'values' => array(
                                        'yes'=> esc_html__('Yes','citybook-add-ons'),
                                        'no'=> esc_html__('No','citybook-add-ons'),
                                    ),
                                
                                'default'=>'no'
    ) ,$term_meta,false);
}
add_action('post_tag_edit_form_fields', 'citybook_post_tag_edit_meta_field', 10, 2);

// Save extra taxonomy fields callback function.
function citybook_save_post_tag_custom_meta($term_id) {
    if (isset($_POST['term_meta'])) {
        $t_id = $term_id;
        $term_meta = get_option("citybook_taxonomy_post_tag_$t_id");
        $cat_keys = array_keys($_POST['term_meta']);
        foreach ($cat_keys as $key) {
            if (isset($_POST['term_meta'][$key])) {
                $term_meta[$key] = $_POST['term_meta'][$key];
            }
        }
        
        // Save the option array.
        update_option("citybook_taxonomy_post_tag_$t_id", $term_meta);
    }
}
add_action('edited_post_tag', 'citybook_save_post_tag_custom_meta', 10, 2);
add_action('create_post_tag', 'citybook_save_post_tag_custom_meta', 10, 2);
